For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • POSTAttach a file to contract
      • GETGet worker invite link
      • GETPreview a contract agreement
      • DELRemove invite
      • GETRetrieve contractor payment dates
      • POSTSend contract to worker
      • POSTSign a contract
LogoLogo
SupportDeel Home
EndpointsContractor Hiring

Get worker invite link

GET
/contracts/:contract_id/invite
GET
/rest/v2/contracts/:contract_id/invite
$curl -G https://api.letsdeel.com/rest/v2/contracts/37nex2x/invite \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d locale=de
1{
2 "data": "https://app.letsdeel.com/invite/worker/37nex2x?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9"
3}

Retrieves the signing invitation link generated for the worker on a contract, with optional localization via the locale parameter. Token scopes: contracts:read

Was this page helpful?
Previous

Preview a contract agreement

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Query parameters

localestringOptionalformat: "^[a-z]{2,5}$"2-5 characters
Locale to use for the invite link.

Response

Successful operation.
datastring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication